% Generated by roxygen2 (4.0.1): do not edit by hand
\name{orderByParetoMeasure}
\alias{orderByParetoMeasure}
\title{Rearrange points via an arbitrary Pareto-based ranking}
\usage{
orderByParetoMeasure(values, measure = crowding_distance)
}
\arguments{
\item{values}{The value matrix to return the ordering permutation for. Each column
represents a point, each row a dimension.}

\item{measure}{The measure used for ranking points that lie on the same Pareto front,
defaults to \code{crowding_distance}.}
}
\value{
A permutation to rearrange \code{values} based on a Pareto based ranking.
}
\description{
Returns a permutation that rearranges points, given as columns in a value matrix, via
Pareto-based ranking. Points are ranked by their Pareto front number, ties are broken
by the values of \code{measure}.
}

